Page MenuHomePhabricator

Summary actions show on board history, but not topic history
Closed, ResolvedPublic2 Story Points

Description

Changes to the summary show up on the board history, but not topic history:

See summary actions for https://www.mediawiki.org/wiki/Topic:Sbwqem7y14204dxe ("What is ofeiwefweowf?") and history pages https://www.mediawiki.org/w/index.php?title=Talk:Sandbox&action=history and https://www.mediawiki.org/w/index.php?title=Topic:Sbwqem7y14204dxe&action=history .

The actions took place on 2015-02-20.

On the board history, they show as:

(cur prev	topic) 18:54, February 20, 2015 . . Mattflaschen (WMF) (talk | contribs) edited topic summary on What is ofeiwefweowf? . . (+9)‎
(cur prev	topic) 18:54, February 20, 2015 . . Mattflaschen (WMF) (talk | contribs) created topic summary on What is ofeiwefweowf? . . (+12)‎

Event Timeline

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to High.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 7:02 PM
DannyH set Security to None.Jun 23 2015, 6:49 PM
DannyH edited a custom field.
DannyH moved this task from Untriaged to Ready for next sprint on the Collaboration-Team-Triage board.

Change 220451 had a related patch set uploaded (by Matthias Mullie):
Propagate summary edits into history cache

https://gerrit.wikimedia.org/r/220451

Change 220451 merged by jenkins-bot:
Propagate summary edits into history cache

https://gerrit.wikimedia.org/r/220451

Mattflaschen-WMF renamed this task from Summary actions show on board history, but not topic history to Summary edit actions show on board history, but not topic history.Jun 24 2015, 11:33 PM
Mattflaschen-WMF renamed this task from Summary edit actions show on board history, but not topic history to Summary actions show on board history, but not topic history.
Etonkovidova added a subscriber: Etonkovidova.EditedJun 24 2015, 11:47 PM

Checked on beta for any discrepancies between board history and topic history(and specifically for actions mentioned in the ticket):
edited topic summary
created topic summary

However, clicking on the link in the ticket: https://www.mediawiki.org/w/index.php?title=Topic:Sbwqem7y14204dxe&action=history gives:
"Error
Invalid value was provided for loading Flow content.

Return to MediaWiki.

[bb605357] 2015-06-24 23:36:04: Fatal exception of type "Flow\Exception\InvalidInputException"

Failed to load resource: the server responded with a status of 400 (Bad Request) https://www.mediawiki.org/w/index.php?title=Topic:Sbwqem7y14204dxe&action=history Failed to load resource: the server responded with a status of 400 (Bad Request)

Is it expected to have such error message on old messages' history pages?

DannyH closed this task as Resolved.Jun 29 2015, 11:11 PM
DannyH added a subscriber: DannyH.

works on Beta